Package commoble.databuddy.config

# Class ConfigHelper.TomlConfigOps

java.lang.Object
commoble.databuddy.config.ConfigHelper.TomlConfigOps

All Implemented Interfaces:
  `com.mojang.serialization.DynamicOps<Object>`

Enclosing class:
  ConfigHelper

public static class ConfigHelper.TomlConfigOps extends Object implements com.mojang.serialization.DynamicOps<Object>

## Field Summary

Fields
Modifier and Type
Field
Description
`static ConfigHelper.TomlConfigOps`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`TomlConfigOps()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compressMaps()`
`<U> U`
`convertTo​(com.mojang.serialization.DynamicOps<U> outOps, Object input)`
`Object`
`createBoolean​(boolean value)`
`Object`
`createList​(Stream<Object> input)`
`Object`
`createMap​(Stream<com.mojang.datafixers.util.Pair<Object,​Object>> map)`
`Object`
`createNumeric​(Number i)`
`Object`
`createString​(String value)`
`Object`
`empty()`
`com.mojang.serialization.DataResult<Boolean>`
`getBooleanValue​(Object input)`
`com.mojang.serialization.DataResult<Stream<com.mojang.datafixers.util.Pair<Object,​Object>>>`
`getMapValues​(Object input)`
`com.mojang.serialization.DataResult<Number>`
`getNumberValue​(Object input)`
`com.mojang.serialization.DataResult<Stream<Object>>`
`getStream​(Object input)`
`com.mojang.serialization.DataResult<String>`
`getStringValue​(Object input)`
`com.mojang.serialization.DataResult<Object>`
`mergeToList​(Object list, Object value)`
`com.mojang.serialization.DataResult<Object>`
`mergeToMap​(Object map, Object key, Object value)`
`Object`
`remove​(Object input, String key)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.mojang.serialization.DynamicOps

`convertList, convertMap, createByte, createByteList, createDouble, createFloat, createInt, createIntList, createLong, createLongList, createMap, createShort, emptyList, emptyMap, get, getByteBuffer, getGeneric, getIntStream, getList, getLongStream, getMap, getMapEntries, getNumberValue, listBuilder, mapBuilder, mergeToList, mergeToMap, mergeToMap, mergeToPrimitive, set, update, updateGeneric, withDecoder, withEncoder, withParser`

## Field Details

### INSTANCE

public static final ConfigHelper.TomlConfigOps INSTANCE

## Constructor Details

### TomlConfigOps

public TomlConfigOps()

## Method Details

### empty

public Object empty()

Specified by:
  `empty` in interface `com.mojang.serialization.DynamicOps<Object>`

### convertTo

public <U> U convertTo​(com.mojang.serialization.DynamicOps<U> outOps, Object input)

Specified by:
  `convertTo` in interface `com.mojang.serialization.DynamicOps<Object>`

### getNumberValue

public com.mojang.serialization.DataResult<Number> getNumberValue​(Object input)

Specified by:
  `getNumberValue` in interface `com.mojang.serialization.DynamicOps<Object>`

### getBooleanValue

public com.mojang.serialization.DataResult<Boolean> getBooleanValue​(Object input)

Specified by:
  `getBooleanValue` in interface `com.mojang.serialization.DynamicOps<Object>`

### createBoolean

public Object createBoolean​(boolean value)

Specified by:
  `createBoolean` in interface `com.mojang.serialization.DynamicOps<Object>`

### compressMaps

public boolean compressMaps()

Specified by:
  `compressMaps` in interface `com.mojang.serialization.DynamicOps<Object>`

### createNumeric

public Object createNumeric​(Number i)

Specified by:
  `createNumeric` in interface `com.mojang.serialization.DynamicOps<Object>`

### getStringValue

public com.mojang.serialization.DataResult<String> getStringValue​(Object input)

Specified by:
  `getStringValue` in interface `com.mojang.serialization.DynamicOps<Object>`

### createString

public Object createString​(String value)

Specified by:
  `createString` in interface `com.mojang.serialization.DynamicOps<Object>`

### mergeToList

public com.mojang.serialization.DataResult<Object> mergeToList​(Object list, Object value)

Specified by:
  `mergeToList` in interface `com.mojang.serialization.DynamicOps<Object>`

### mergeToMap

public com.mojang.serialization.DataResult<Object> mergeToMap​(Object map, Object key, Object value)

Specified by:
  `mergeToMap` in interface `com.mojang.serialization.DynamicOps<Object>`

### getMapValues

public com.mojang.serialization.DataResult<Stream<com.mojang.datafixers.util.Pair<Object,​Object>>> getMapValues​(Object input)

Specified by:
  `getMapValues` in interface `com.mojang.serialization.DynamicOps<Object>`

### createMap

public Object createMap​(Stream<com.mojang.datafixers.util.Pair<Object,​Object>> map)

Specified by:
  `createMap` in interface `com.mojang.serialization.DynamicOps<Object>`

### getStream

public com.mojang.serialization.DataResult<Stream<Object>> getStream​(Object input)

Specified by:
  `getStream` in interface `com.mojang.serialization.DynamicOps<Object>`

### createList

public Object createList​(Stream<Object> input)

Specified by:
  `createList` in interface `com.mojang.serialization.DynamicOps<Object>`

### remove

public Object remove​(Object input, String key)

Specified by:
  `remove` in interface `com.mojang.serialization.DynamicOps<Object>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`